Subject: [Sip] RE: Comment on draft-ietf-sip-rfc2543bis-05

From: Jonathan Rosenberg <[email-masked]>
Date: Wed, 5 Dec 2001 15:07:12 -0500

> -----Original Message-----
> From: Paul Kyzivat [mailto:[email-masked]]
> Sent: Wednesday, November 28, 2001 8:50 AM
> To: Jonathan Rosenberg
> Cc: [email-masked]
> Subject: Re: Comment on draft-ietf-sip-rfc2543bis-05
> 
> 
> I didn't mean to imply that zero media lines are no longer legal.
> But they now mean something different. Bis-04, section 5.1, says 
> 
>   "The caller MAY choose to omit the request
>   body (i.e., not send a session description) OR SEND A SESSION
>   DESCRIPTION THAT DOES NOT LIST ANY MEDIA TYPES. This
>   indicates that the caller does not know its desired media 
>   characteristics until the call has been accepted."
> 
> The way I read that, in an invite an SDP body with no media lines 
> is equivalent to no body at all - not considered an offer.
> With bis-05 it is considered an offer for a session with no media.

Actually, that wasn't my reading. The interpretation depends on what "this"
refers to. I thought it referred to the latter part of the previous sentence
- sending a session description that does not list any media types. I have
no idea whether there is an English language rule that defines what "this"
refers to in these cases. Either way, its irrelevant; the new specs are much
clearer in this regard and we seem to agree what is specified now is right.

-Jonathan R.
---
Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

> Jonathan Rosenberg wrote:
> > 
> > Cleaning up old threads...
> > 
> > 
> > > -----Original Message-----
> > > From: Paul Kyzivat [mailto:[email-masked]]
> > > Sent: Friday, October 26, 2001 4:34 PM
> > > To: Jonathan Rosenberg
> > > Cc: [email-masked]
> > > Subject: Comment on draft-ietf-sip-rfc2543bis-05
> > >
> > >
> > > I haven't read the whole draft yet, but I did read
> > > draft-rosenberg-mmusic-sdp-offer-answer-00, and found 
> something there
> > > that needs to be addressed in the bis. I just want to 
> post it before I
> > > forget.
> > >
> > > You have now introduced the notion of an offer and an 
> answer, that get
> > > mapped onto SDP via
> > > draft-rosenberg-mmusic-sdp-offer-answer-00. However
> > > in splitting the documents I think you have introduced a
> > > subtle change.
> > > This has to do with how to determine if the INVITE 
> contains an offer.
> > >
> > > Bis-04, section 5.1, says "The caller MAY choose to omit 
> the request
> > > body (i.e., not send a session description) OR SEND A SESSION
> > > DESCRIPTION THAT DOES NOT LIST ANY MEDIA TYPES. This
> > > indicates that the
> > > caller does not know its desired media characteristics 
> until the call
> > > has been accepted."
> > >
> > > When I read this in the past I concluded that it meant it is
> > > permissible
> > > to send an SDP body containing a description without any 
> m lines, and
> > > this should not be considered to be an offer. Now bis-05 
> (based on a
> > > quick search) no longer says this. In section 13.2.1 it says
> > > "The first,
> > > ... is that the INVITE contains the offer. ... A second 
> model is that
> > > the INVITE contains no session description, the 2xx 
> response contains
> > > the offer, and the ACK contains the answer."
> > >
> > > This no longer permits an SDP body without m lines, that
> > > isn't an offer.
> > 
> > Oh? offer-answer still permits the offer to have zero media lines:
> > 
> > 2.1 Unicast
> > 
> >    The offer MUST contain zero or more media sections. Zero media
> >    sessions implies that the offerer wishes to communicate, 
> but that the
> >    streams for the session will be added at a later time through re-
> >    INVITEs.
> > 
> > So, the offer has zero media lines. The answer will come in 
> the 2xx, and it
> > also has zero. We then do a re-invite to add more lines as normal.
> > 
> > Can you clarify what text led you to the conclusion that 
> zero m lines are no
> > longer allowed?
> > 
> > Thanks,
> > Jonathan R.
> > ---
> > Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
> > Chief Scientist                             First Floor
> > dynamicsoft                                 East Hanover, NJ 07936
> > [email-masked]                     FAX:   (973) 952-5050
> > http://www.jdrosen.net                      PHONE: (973) 952-5000
> > http://www.dynamicsoft.com
> 

_______________________________________________
Sip mailing list  http://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip